Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.engine.query
Class UserVisibleRootQuery

    java.lang.Object
      org.eclipse.equinox.p2.query.ExpressionMatchQuery<IInstallableUnit>
          org.eclipse.equinox.p2.engine.query.IUProfilePropertyQuery
              org.eclipse.equinox.p2.engine.query.UserVisibleRootQuery

All Implemented Interfaces:
  IQueryWithIndex<IInstallableUnit>, IMatchQuery<IInstallableUnit>, IQuery<IInstallableUnit>

    public class UserVisibleRootQuery

extends IUProfilePropertyQuery

A query matching all the `IInstallableUnit`s that are marked visible to the user.

Since:
  2.0

Field Summary

Fields inherited from class org.eclipse.equinox.p2.engine.query.IUProfilePropertyQuery
`ANY`

Constructor Summary
`UserVisibleRootQuery()` Creates a new query that will match all installable units marked visible to the user.

Method Summary
`static boolean` `isUserVisible(IInstallableUnit iu, IProfile profile)` Test if the `IInstallableUnit`, in the context of a `IProfile` is visible to the user

Methods inherited from class org.eclipse.equinox.p2.query.ExpressionMatchQuery
`getContext, getExpression, getMatchingClass, isMatch, perform, perform, postPerform, prePerform, setIndexProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserVisibleRootQuery

    public UserVisibleRootQuery()

  Creates a new query that will match all installable units marked visible to the user.

Method Detail

### isUserVisible

    public static boolean isUserVisible(IInstallableUnit iu,
                                        IProfile profile)

  Test if the `IInstallableUnit`, in the context of a `IProfile` is visible to the user

  Parameters:
    `iu` - the element being tested.
    `profile` - the context in which the iu is tested
  Returns:
    `true` if the element is visible to the user.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.